/**
 * The IBANChecker function checks if a given IBAN (Sheba) number is valid.
 * @param {string} sheba - The `sheba` parameter is a string representing the Iranian bank account
 * number in the International Bank Account Number (IBAN) format.
 */
export declare const IBANChecker: (sheba: string) => boolean;
